Bug 221110 - security/zeronet: Update to 0.5.7
Summary: security/zeronet: Update to 0.5.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-07-31 01:20 UTC by Yuri Victorovich
Modified: 2017-08-18 03:23 UTC (History)
1 user (show)

See Also:


Attachments
patch (3.27 KB, patch)
2017-07-31 01:20 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff
patch (3.55 KB, patch)
2017-08-04 19:05 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-07-31 01:20:01 UTC
Created attachment 184860 [details]
patch

QAs:
* poudriere
* runs fine
Comment 1 Yuri Victorovich freebsd_committer 2017-08-04 19:05:03 UTC
Created attachment 185029 [details]
patch
Comment 2 Yuri Victorovich freebsd_committer 2017-08-04 19:06:06 UTC
Removed some dependencies, because they are bundled.

QAs:
* poudriere
* portlint
* runs fine
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 05:35:49 UTC
Bundled libraries should be unbundled/removed (using system/ports libraries instead) if they can be, per Handbook Section 6.2. Bundled Libraries:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#bundled-libs

Having said that, upstream issue #382

@Yuri Please set maintainer approval flag to +
Comment 4 Yuri Victorovich freebsd_committer 2017-08-06 05:40:16 UTC
Kubilay,

This port is quite self-contained. It calls bundled libraries in many places using internal directories.

IMO, in this case we should leave them alone.

Yuri
Comment 5 commit-hook freebsd_committer 2017-08-18 03:23:19 UTC
A commit references this bug:

Author: swills
Date: Fri Aug 18 03:22:43 UTC 2017
New revision: 448204
URL: https://svnweb.freebsd.org/changeset/ports/448204

Log:
  security/zeronet: Update to 0.5.7

  PR:		221110
  Submitted by:	Yuri Victorovich <yuri@rawbw.com> (maintainer)

Changes:
  head/security/zeronet/Makefile
  head/security/zeronet/distinfo
  head/security/zeronet/pkg-plist
Comment 6 Steve Wills freebsd_committer 2017-08-18 03:23:59 UTC
Committed, thanks!